Tag: rake

Rake Command Not Working

Getting this error while running RAKE command :- rake –trace rake aborted! There was an error while trying to load the gem ‘coffee-rails’. /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.11.2/lib/bundler/runtime.rb:81:in rescue in block (2 levels) in require’ /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.11.2/lib/bundler/runtime.rb:76:in `block (2 levels) in require’ /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.11.2/lib/bundler/runtime.rb:72:in `each’ /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.11.2/lib/bundler/runtime.rb:72:in `block in require’ /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.11.2/lib/bundler/runtime.rb:61:in `each’ /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.11.2/lib/bundler/runtime.rb:61:in `require’ /usr/local/rvm/gems/ruby-1.9.3-p194/gems/bundler-1.11.2/lib/bundler.rb:99:in `require’ /apps/apache/Sekhmet/user/config/application.rb:7:in `<top (required)>’ /usr/local/rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/core_ext/kernel_require.rb:55:in `require’ /usr/local/rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/core_ext/kernel_require.rb:55:in […]

Rake generate – not working

I am installing redmine1.4 and following these step . I am in 5 step of installation process When I am trying to do rake generate_session_store its saying to install rdoc Please let me know do I really need to create document cant I skip that OR if I need to create docs then how to […]

How to run Rake tasks from within Rake tasks?

I have a Rakefile that compiles the project in two ways, according to the global variable $build_type, which can be :debug or :release (the results go in separate directories): task :build => [:some_other_tasks] do end I wish to create a task that compiles the project with both configurations in turn, something like this: task :build_all […]

How do I run a rake task from Capistrano?

I already have a deploy.rb that can deploy my app on my production server. My app contains a custom rake task (a .rake file in the lib/tasks directory). I’d like to create a cap task that will remotely run that rake task.

What is the inverse rake operation to rake gems:unpack?

I would like to unfreeze the gems which where previously rake gems:unpacked. What is the operation for this? So far I know only the method of rm -r vendor/gems. For rake rails:freeze:edge there is rake rails:unfreeze. Is there such inverse rake task for gems too?

rake aborted! closed stream after upgrading to Snow Leopard

I just upgraded my Leopard system to Snow. I had a Rails application with a suite of Spec examples running before the upgrade; it used a mysql database. After the upgrade, running rake spec would fail like this: … ** Invoke db:schema:load (first_time) ** Invoke environment ** Execute db:schema:load rake aborted! closed stream /opt/local/lib/ruby/1.8/mysql.rb:1032:in `sync=’ […]

Ruby – hashes, symbols and strings

I have gem that returns next hash object {:response=>”There was an error authenticating the sender account.”, :status_code=>401} and in my rake task i’m trying to access it’s properties: response = my_gem.execute puts response puts response.has_key?(:respose) puts response[:respose] But i can’t understand why it prints {:response=>”There was an error authenticating the sender account.”, :status_code=>401} false Why […]

How to install mysql on a new machine for an old app?

Not exactly sure how to go about this. My app’s database.yml development: adapter: mysql encoding: utf8 reconnect: false database: application-dev pool: 5 username: root password: angles123 socket: /tmp/mysql.sock I was thinking that it would be wise to go ahead and mysqladmin -u root –password=angles123, and then once inside create database application-dev, but the -dev part, […]

Ruby on Rails : Rake db:create -> Could not find gem

I begin with ruby on rails and I’m trying to create my first blog. So i ran: rails new blog -database=mysql There was an error: Gem::InstallError: The ‘json’ native gem requires installed build tools. But since i saw a json directory in my blog’s directory i didn’t care. So i run the command to create […]

/var/lib/gems/1.8/bin/rake:17: undefined method `require_gem' for main:Object (NoMethodError)

I’m having issues getting Rake to work on my machine. This only happens from the Rake version that was installed from Rubygems (not the Debian installed one). Please see above: charlotte:~# which rake /var/lib/gems/1.8/bin//rake charlotte:~# rake /var/lib/gems/1.8/bin/rake:17: undefined method `require_gem’ for main:Object (NoMethodError) charlotte:~# rake -v /var/lib/gems/1.8/bin/rake:17: undefined method `require_gem’ for main:Object (NoMethodError) charlotte:~# gem […]

Ruby is the best programming language in the world - Ruby on Rails.